Skip to main content
DELETE
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
kubernetes
/
{clusterId}
Delete Kubernetes cluster
curl --request DELETE \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}
import requests

url = "https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "cluster": {
    "summary": {
      "base": {
        "cluster_id": "<string>",
        "name": "<string>",
        "account_id": "<string>",
        "project_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "cluster_endpoint": "<string>"
      },
      "node_count": 123,
      "installed_apps": [
        {
          "base": {
            "app_id": "<string>",
            "cluster_id": "<string>",
            "marketplace_app": {
              "app_name": "<string>",
              "display_name": "<string>",
              "description": "<string>",
              "icon_url": "<string>",
              "documentation_url": "<string>"
            }
          }
        }
      ]
    },
    "kubeconfig_path": "<string>",
    "k8s_version": "<string>",
    "pod_cidr": "<string>",
    "service_cidr": "<string>",
    "cni_plugin": "<string>",
    "ssh_key_id": "<string>",
    "cluster_agent_enabled": true,
    "nodes": [
      {
        "node_id": "<string>",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "primary_ip": "<string>",
        "resource_type": "<string>",
        "flavor_id": "<string>",
        "os_image_id": "<string>"
      }
    ]
  }
}

Headers

x-user-id
string
x-kong-request-id
string

Path Parameters

accountId
string
required
projectId
string
required
clusterId
string
required

Response

OK

cluster
object
required